Subject: 26.0.50; Let save-some-buffers accept write-contents-functions

From: Kaushal Modi <[email-masked]>
Date: Mon, 18 Sep 2017 16:16:05 +0000

Hello Eric, Eli:

I became a victim of this change because of these overlapping use-cases:

- I use ggtags.el that creates a hidden (is that the right term for that?)
buffer (starting with space) to fontify code snippets using the file's
major mode.
- The major mode I use (verilog-mode) sets write-file-functions to a
non-nil value.

So each time I quit emacs, I get a prompt to save that hidden buffer "
*Code-Fontify*" (which it didn't earlier, as intended).

Details: https://github.com/leoliu/ggtags/issues/157

I suggested calling (set-buffer-modified-p nil) in that special buffer.

But is that the best way to fix this? Or should save-some-buffers never try
to save buffers whose names begin with space?

PS: Please CC me on the replies, else I won't get those.

-- 

Kaushal Modi